Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1632391 - gnome-music metaclass conflict
Summary: gnome-music metaclass conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-24 16:50 UTC by Didier G
Modified: 2018-10-02 19:33 UTC (History)
3 users (show)

Fixed In Version: gnome-music-3.30.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 19:33:33 UTC
Type: Bug


Attachments (Terms of Use)

Description Didier G 2018-09-24 16:50:32 UTC
Description of problem:

After dnf system-upgrade from fc28 to fc29 gnome-music does not longer start.

Version-Release number of selected component (if applicable):

gnome-music-3.30.0-1.fc29.x86_64

Actual results:

Traceback (most recent call last):
  File "/usr/bin/gnome-music", line 142, in <module>
    sys.exit(main())
  File "/usr/bin/gnome-music", line 137, in main
    return run_application()
  File "/usr/bin/gnome-music", line 123, in run_application
    from gnomemusic.application import Application
  File "/usr/lib/python3.7/site-packages/gnomemusic/application.py", line 40, in <module>
    from gnomemusic.window import Window
  File "/usr/lib/python3.7/site-packages/gnomemusic/window.py", line 40, in <module>
    from gnomemusic.views.albumsview import AlbumsView
  File "/usr/lib/python3.7/site-packages/gnomemusic/views/albumsview.py", line 31, in <module>
    from gnomemusic.widgets.headerbar import HeaderBar
  File "/usr/lib/python3.7/site-packages/gnomemusic/widgets/headerbar.py", line 31, in <module>
    from gnomemusic.widgets.searchbar import Searchbar
  File "/usr/lib/python3.7/site-packages/gnomemusic/widgets/searchbar.py", line 34, in <module>
    from gi.repository.Gd import TaggedEntry  # noqa: F401
  File "<frozen importlib._bootstrap>", line 1032, in _handle_fromlist
  File "/usr/lib64/python3.7/site-packages/gi/module.py", line 215, in __getattr__
    wrapper = metaclass(name, bases, dict_)
TypeError: metaclass conflict: the metaclass of a derived class must be a (non-strict) subclass of the metaclasses of all its bases

Comment 1 Didier G 2018-09-29 10:56:43 UTC
Fixed in gnome-music-3.30.1-1.fc29.x86_64

Comment 2 Fedora Update System 2018-09-29 13:55:55 UTC
bijiben-3.30.1-1.fc29 dconf-editor-3.30.2-1.fc29 eog-3.28.4-1.fc29 epiphany-3.30.1-1.fc29 evolution-3.30.1-1.fc29 evolution-data-server-3.30.1-1.fc29 evolution-ews-3.30.1-1.fc29 evolution-mapi-3.30.1-1.fc29 file-roller-3.30.1-1.fc29 gdm-3.30.1-1.fc29 gedit-3.30.1-1.fc29 gedit-plugins-3.30.1-1.fc29 gjs-1.54.1-1.fc29 glib2-2.58.1-1.fc29 gnome-boxes-3.30.1-2.fc29 gnome-builder-3.30.1-1.fc29 gnome-calculator-3.30.1-1.fc29 gnome-contacts-3.30.1-1.fc29 gnome-control-center-3.30.1-1.fc29 gnome-desktop3-3.30.1-1.fc29 gnome-devel-docs-3.30.1-1.fc29 gnome-disk-utility-3.30.1-1.fc29 gnome-initial-setup-3.30.0-1.fc29 gnome-maps-3.30.1-1.fc29 gnome-mines-3.30.1.1-1.fc29 gnome-music-3.30.1-1.fc29 gnome-photos-3.30.1-1.fc29 gnome-settings-daemon-3.30.1.1-1.fc29 gnome-software-3.30.1-2.fc29 gnome-tweaks-3.30.1-1.fc29 gnome-user-docs-3.30.1-1.fc29 gnote-3.30.0-1.fc29 gvfs-1.38.1-1.fc29 json-glib-1.4.4-1.fc29 libdazzle-3.30.1-1.fc29 librsvg2-2.44.6-1.fc29 libsoup-2.64.1-1.fc29 mutter-3.30.0-2.fc29 orca-3.30.0-1.fc29 pygobject3-3.30.1-1.fc29 shotwell-0.30.1-1.fc29 simple-scan-3.30.1.1-1.fc29 sysprof-3.30.1-1.fc29 tracker-2.1.5-1.fc29 tracker-miners-2.1.5-1.fc29 vala-0.42.2-1.fc29 webkit2gtk3-2.22.2-1.fc29 yelp-xsl-3.30.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c379dfdea4

Comment 3 Fedora Update System 2018-09-30 00:25:11 UTC
bijiben-3.30.1-1.fc29, dconf-editor-3.30.2-1.fc29, eog-3.28.4-1.fc29, epiphany-3.30.1-1.fc29, evolution-3.30.1-1.fc29, evolution-data-server-3.30.1-1.fc29, evolution-ews-3.30.1-1.fc29, evolution-mapi-3.30.1-1.fc29, file-roller-3.30.1-1.fc29, gdm-3.30.1-1.fc29, gedit-3.30.1-1.fc29, gedit-plugins-3.30.1-1.fc29, gjs-1.54.1-1.fc29, glib2-2.58.1-1.fc29, gnome-boxes-3.30.1-2.fc29, gnome-builder-3.30.1-1.fc29, gnome-calculator-3.30.1-1.fc29, gnome-contacts-3.30.1-1.fc29, gnome-control-center-3.30.1-1.fc29, gnome-desktop3-3.30.1-1.fc29, gnome-devel-docs-3.30.1-1.fc29, gnome-disk-utility-3.30.1-1.fc29, gnome-initial-setup-3.30.0-1.fc29, gnome-maps-3.30.1-1.fc29, gnome-mines-3.30.1.1-1.fc29, gnome-music-3.30.1-1.fc29, gnome-photos-3.30.1-1.fc29, gnome-settings-daemon-3.30.1.1-1.fc29, gnome-software-3.30.1-2.fc29, gnome-tweaks-3.30.1-1.fc29, gnome-user-docs-3.30.1-1.fc29, gnote-3.30.0-1.fc29, gvfs-1.38.1-1.fc29, json-glib-1.4.4-1.fc29, libdazzle-3.30.1-1.fc29, librsvg2-2.44.6-1.fc29, libsoup-2.64.1-1.fc29, mutter-3.30.0-2.fc29, orca-3.30.0-1.fc29, pygobject3-3.30.1-1.fc29, shotwell-0.30.1-1.fc29, simple-scan-3.30.1.1-1.fc29, sysprof-3.30.1-1.fc29, tracker-2.1.5-1.fc29, tracker-miners-2.1.5-1.fc29, vala-0.42.2-1.fc29, webkit2gtk3-2.22.2-1.fc29, yelp-xsl-3.30.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c379dfdea4

Comment 4 Fedora Update System 2018-10-02 19:33:33 UTC
bijiben-3.30.1-1.fc29, dconf-editor-3.30.2-1.fc29, eog-3.28.4-1.fc29, epiphany-3.30.1-1.fc29, evolution-3.30.1-1.fc29, evolution-data-server-3.30.1-1.fc29, evolution-ews-3.30.1-1.fc29, evolution-mapi-3.30.1-1.fc29, file-roller-3.30.1-1.fc29, gdm-3.30.1-1.fc29, gedit-3.30.1-1.fc29, gedit-plugins-3.30.1-1.fc29, gjs-1.54.1-1.fc29, glib2-2.58.1-1.fc29, gnome-boxes-3.30.1-2.fc29, gnome-builder-3.30.1-1.fc29, gnome-calculator-3.30.1-1.fc29, gnome-contacts-3.30.1-1.fc29, gnome-control-center-3.30.1-1.fc29, gnome-desktop3-3.30.1-1.fc29, gnome-devel-docs-3.30.1-1.fc29, gnome-disk-utility-3.30.1-1.fc29, gnome-initial-setup-3.30.0-1.fc29, gnome-maps-3.30.1-1.fc29, gnome-mines-3.30.1.1-1.fc29, gnome-music-3.30.1-1.fc29, gnome-photos-3.30.1-1.fc29, gnome-settings-daemon-3.30.1.1-1.fc29, gnome-software-3.30.1-2.fc29, gnome-tweaks-3.30.1-1.fc29, gnome-user-docs-3.30.1-1.fc29, gnote-3.30.0-1.fc29, gvfs-1.38.1-1.fc29, json-glib-1.4.4-1.fc29, libdazzle-3.30.1-1.fc29, librsvg2-2.44.6-1.fc29, libsoup-2.64.1-1.fc29, mutter-3.30.0-2.fc29, orca-3.30.0-1.fc29, pygobject3-3.30.1-1.fc29, shotwell-0.30.1-1.fc29, simple-scan-3.30.1.1-1.fc29, sysprof-3.30.1-1.fc29, tracker-2.1.5-1.fc29, tracker-miners-2.1.5-1.fc29, vala-0.42.2-1.fc29, webkit2gtk3-2.22.2-1.fc29, yelp-xsl-3.30.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.